---
title: Aadhar Verification
description: Validate a customer's Aadhaar number and retrieve demographic details via the BaaS API.
---

This api is for validating a customer's aadhar number. We have to pass name, consent text and aadhar number in request. If the request is valid, we will get a success response.

#### POST

```
https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| content-type  required |  | application/json | `application/json` |
| affiliate  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | Text | $string = $param.self::$secret_key; | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| api-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | Text | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| name  required | Text  <br>(4-50) | Name of the user sharing consent | `akhil` |
| consentText  required | Text  <br>(1-10000) | Name of the user sharing consent | `ok for consent` |
| aadhaarNo  required | Text  <br>(12) | 12 digit Aadhaar Card Number as per the Card | `786705541688` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | Numeric | 400- fail,200-success(length 3) | `200` |
| message  required | Text | success, fail | `success` |
| data  required | Text | { "ageBand": "20-30", "gender": "MALE", "state": "Kerala", "mobile": "" } |

## Request Example

```
 curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/aadhaar-verification' \
 --header 'content-type: application/json' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-raw {

    "name": "akhil",

    "consentText": "ok for consent",

    "aadhaarNo":"786705541688"

  }
```

### Success Response

```
{
    "status": "200",
    "message": "success",
    "data": {
        "ageBand": "20-30",
        "gender": "MALE",
        "state": "Kerala",
        "mobile": ""
    }
}
```

### Error Response

```
{
    "status": "400",
    "message": "Failed",
    "data": ""
}
```